/**
 * generated by Xtext
 */
package org.eclipse.etrice.core.room.impl;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.etrice.core.room.RoomPackage;
import org.eclipse.etrice.core.room.SAP;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>SAP</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class SAPImpl extends InterfaceItemImpl implements SAP
{
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SAPImpl()
	{
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass()
	{
		return RoomPackage.Literals.SAP;
	}

} //SAPImpl
